Name:           taskotron-trigger
Version:        0.0.9
Release:        1%{?dist}
Summary:        Triggering Taskotron jobs via fedmsg.

License:        GPLv2+
URL:            https://fedorahosted.org/fedora-qa
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-setuptools
Requires:       fedmsg
Requires:       fedmsg-hub

%description
Triggering Taskotron jobs via fedmsg.


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# configuration files
mkdir -p %{buildroot}%{_sysconfdir}/taskotron/
install conf/trigger.cfg.example %{buildroot}%{_sysconfdir}/taskotron/trigger.cfg
mkdir -p %{buildroot}%{_sysconfdir}/fedmsg.d/
install fedmsg.d/taskotron-trigger.py %{buildroot}%{_sysconfdir}/fedmsg.d/taskotron-trigger.py


%files
%doc readme.rst
%{python_sitelib}/*
%dir %{_sysconfdir}/taskotron
%{_sysconfdir}/taskotron/trigger.cfg
%{_sysconfdir}/fedmsg.d/taskotron-trigger.py*


%changelog
* Mon Apr 14 2014 Tim Flink <tflink@fedoraproject.org> - 0.0.10-1
- Updating to latest upstream

* Mon Mar 10 2014 Martin Krizek <mkrizek@fedoraproject.org> - 0.0.9-1
- Initial packaging
